%global srcname whitenoise
%global sum Static file serving for Python web apps

Name:           python-%{srcname}
Version:        2.0.4
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://whitenoise.evans.io/
Source0:        https://pypi.python.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python3-devel

%description
Radically simplified static file serving for python web apps. with a couple of
lines of config whitenoise allows your web app to serve its own static files,
making it a self-contained unit that can be deployed anywhere without relying
on nginx, amazon s3 or any other external service. (Especially useful on
Heroku, OpenShift and other PaaS providers.)

%package -n python2-%{srcname}
Summary:        %{sum}
License:        MIT
Requires:       python-django
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
radically simplified static file serving for python web apps. with a couple of
lines of config whitenoise allows your web app to serve its own static files,
making it a self-contained unit that can be deployed anywhere without relying
on nginx, amazon s3 or any other external service. (especially useful on
heroku, openshift and other paas providers.)

%package -n python3-%{srcname}
Summary:        %{sum}
License:        MIT
Requires:       python3-django
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
radically simplified static file serving for python web apps. with a couple of
lines of config whitenoise allows your web app to serve its own static files,
making it a self-contained unit that can be deployed anywhere without relying
on nginx, amazon s3 or any other external service. (especially useful on
heroku, openshift and other paas providers.)

%prep
%setup -qc
mv %{srcname}-%{version} python2
pushd python2
# remove dangling doc symlink
rm docs/changelog.rst
# copy common doc files to top dir
cp -pr docs/ PKG-INFO README.rst LICENSE ../
# remove shebang: https://github.com/evansd/whitenoise/issues/46
sed -i '/^#!.*/d' whitenoise/gzip.py
popd

cp -a python2 python3

%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd

%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd

%check
pushd python2
%{__python2} setup.py test
popd

pushd python3
%{__python3} setup.py test
popd

%files -n python2-%{srcname}
%doc PKG-INFO README.rst docs/
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py2.?.egg-info

%files -n python3-%{srcname}
%doc PKG-INFO README.rst docs/
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py3.?.egg-info

%changelog
* Thu Nov 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.4-2
- Remove shebang from gzip.py script

* Thu Oct 22 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.4-1
- Initial package
